btllib::_Pipeline Class Reference

## Public Types

enum | Direction { SOURCE, SINK }

## Public Member Functions

| _Pipeline (std::string pipepath, Direction direction, pid_t pid_first, pid_t pid_last)
void | finish ()

## Public Attributes

std::string | pipepath
Direction | direction = SOURCE
pid_t | pid_first = -1
pid_t | pid_last = -1
bool | closed = false

The documentation for this class was generated from the following file:

- include/btllib/data_stream.hpp